Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# oscl_socket_tuneables.h

Go to the documentation of this file.

    00001
    00002 #ifndef OSCL_SOCKET_TUNEABLES_H_INCLUDED
    00003 #define OSCL_SOCKET_TUNEABLES_H_INCLUDED
    00004
    00014 #include "osclconfig_io.h"
    00015 #include "osclconfig_proc.h"
    00016
    00021 #ifndef PV_SOCKET_REQUEST_AO_PRIORITY
    00022 #define PV_SOCKET_REQUEST_AO_PRIORITY OsclActiveObject::EPriorityNominal
    00023 #endif
    00024
    00030 #ifndef PV_OSCL_SOCKET_STATS_LOGGING
    00031 #define PV_OSCL_SOCKET_STATS_LOGGING 0
    00032 #endif
    00033
    00037 #ifndef PV_SOCKET_SERVER
    00038 #define PV_SOCKET_SERVER 1
    00039 #endif
    00040
    00041 #if(PV_SOCKET_SERVER)
    00042
    00046 #ifndef PV_SOCKET_SERVER_IS_THREAD
    00047 //choose threaded implementation whenever the OS has threading support.
    00048 #define PV_SOCKET_SERVER_IS_THREAD OSCL_HAS_THREAD_SUPPORT
    00049 #endif
    00050
    00058 #if PV_SOCKET_SERVER_IS_THREAD
    00059 #undef PV_SOCKET_SERVER_SELECT
    00060 #define PV_SOCKET_SERVER_SELECT 1
    00061 #else
    00062 #ifndef PV_SOCKET_SERVER_SELECT
    00063 #define PV_SOCKET_SERVER_SELECT 0
    00064 #endif
    00065 #endif
    00066
    00071 #ifndef PV_SOCKET_SERVER_THREAD_PRIORITY
    00072 #define PV_SOCKET_SERVER_THREAD_PRIORITY ThreadPriorityAboveNormal
    00073 #endif
    00074
    00083 #ifndef PV_SOCKET_SERVER_SELECT_TIMEOUT_MSEC
    00084 #define PV_SOCKET_SERVER_SELECT_TIMEOUT_MSEC (-1)
    00085 #endif
    00086
    00093 #if PV_SOCKET_SERVER_IS_THREAD
    00094
    00095 #ifndef PV_SOCKET_SERVER_SELECT_LOOPBACK_SOCKET
    00096 #define PV_SOCKET_SERVER_SELECT_LOOPBACK_SOCKET 1
    00097 #endif
    00098
    00099
    00100 #else
    00101 #undef PV_SOCKET_SERVER_SELECT_LOOPBACK_SOCKET
    00102 #define PV_SOCKET_SERVER_SELECT_LOOPBACK_SOCKET 0
    00103 #endif
    00104
    00109 #ifndef PV_SOCKET_SERVER_AO_PRIORITY
    00110 #define PV_SOCKET_SERVER_AO_PRIORITY (OsclActiveObject::EPriorityNominal)
    00111 #endif
    00112
    00117 #ifndef PV_SOCKET_SERVER_AO_INTERVAL_MSEC
    00118 #define PV_SOCKET_SERVER_AO_INTERVAL_MSEC 5
    00119 #endif
    00120
    00129 #ifndef PV_OSCL_SOCKET_SERVER_LOGGER_OUTPUT
    00130 #define PV_OSCL_SOCKET_SERVER_LOGGER_OUTPUT 0
    00131 #endif
    00132
    00144 #ifndef PV_OSCL_SOCKET_1MB_RECV_BUF
    00145 #define PV_OSCL_SOCKET_1MB_RECV_BUF 0
    00146 #endif
    00147
    00153 #if PV_SOCKET_SERVER_IS_THREAD
    00154 #undef PV_SOCKET_SERVI_STATS
    00155 #define PV_SOCKET_SERVI_STATS 0
    00156 #else
    00157 #ifndef PV_SOCKET_SERVI_STATS
    00158 #define PV_SOCKET_SERVI_STATS 0
    00159 #endif
    00160 #endif
    00161
    00162 #endif//PV_SOCKET_SERVER
    00163
    00164 #endif
    00165
    00166
    00167